Create a preview session
curl --request POST \
--url https://api.tagada.io/api/public/v1/funnels/{funnelId}/preview-session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storeId": "store_123",
"funnelId": "funnelv2_123",
"stepId": "step_thankyou",
"accountId": "acc_123",
"contextData": {
"orderId": "order_abc123"
}
}
'import requests
url = "https://api.tagada.io/api/public/v1/funnels/{funnelId}/preview-session"
payload = {
"storeId": "store_123",
"funnelId": "funnelv2_123",
"stepId": "step_thankyou",
"accountId": "acc_123",
"contextData": { "orderId": "order_abc123" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
storeId: 'store_123',
funnelId: 'funnelv2_123',
stepId: 'step_thankyou',
accountId: 'acc_123',
contextData: {orderId: 'order_abc123'}
})
};
fetch('https://api.tagada.io/api/public/v1/funnels/{funnelId}/preview-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sessionId": "fs_123456789",
"funnelId": "funnelv2_123",
"stepId": "step_thankyou",
"token": "eyJhbG...",
"customerId": "cus_preview_123"
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}funnels
Create a preview session
Create a preview funnel session with pre-filled context for testing
POST
/
api
/
public
/
v1
/
funnels
/
{funnelId}
/
preview-session
Create a preview session
Authorizations
Enter your API key as: Bearer your-api-key
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Available options:
staging, production Available options:
visa_success, mastercard_success, amex_success, visa_declined, visa_insufficient, visa_3ds Required string length:
2Response
Successful response
⌘I
